// MONEYCL.H: Money Class Hader File
//
// Author:	Robert H. Kornberg
// Date:	01-03-92
//
// This class is designed to perform basic manipulation of Money as both
// a Double and a String.

#ifndef __STDLIB_H
#include <stdlib.h>
#endif

#ifndef __STRING_H
#include <string.h>
#endif

#ifndef __STDIO_H
#include <stdio.h>
#endif

#define MONEYSIZE	19

class MoneyCl
{
	double	dVal;
	char	sVal[MONEYSIZE];
public:
	MoneyCl ();
	MoneyCl (char *s);
	MoneyCl (double d);
	virtual void SetValue(char *s);
	virtual void SetValue(double d);
	virtual void ConvToString();
	virtual void ConvToVal();
	virtual void FormatMoney(char *s);
	virtual void StripWhite(char *s);
	virtual double MoneyVal() { return dVal; }
	virtual char *MoneyStr() { return sVal; }
};